Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155713 - zenity --file-selection --multiple returns only one file when pressing Enter
Summary: zenity --file-selection --multiple returns only one file when pressing Enter
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils
Version: 8
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 14:33 UTC by zavandi
Modified: 2008-03-11 14:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-11 14:56:45 UTC


Attachments (Terms of Use)

Description zavandi 2005-04-22 14:33:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
As in summary...

Version-Release number of selected component (if applicable):
gnome-utils-2.8.0-5

How reproducible:
Always

Steps to Reproduce:
1. Run 'zenity --file-selection --multiple'.
2. Select multiple files.
3. Press 'Enter'. (Do NOT click OK because that would work.)


Actual Results:  Only one filename was printed on the terminal.


Expected Results:  All the selected files should've been printed.


Additional info:

Let me know if you need any.

Comment 1 Matthew Miller 2006-07-10 21:32:50 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 zavandi 2006-07-11 12:40:43 UTC
The bug is still present in gnome-utils-2.14.0-4.fc5.2 .

Comment 3 Matthew Miller 2006-07-11 18:39:55 UTC
Thanks!

Comment 4 petrosyan 2008-03-10 15:22:50 UTC
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?

Comment 5 zavandi 2008-03-10 17:45:12 UTC
Much to my surprise, this bug is still present in Fedora 8.

Comment 6 Matthias Clasen 2008-03-11 14:56:45 UTC
Fixed in F9. Here is the output of selecting 2 files:

zenity --file-selection --multiple
/home/mclasen/newcvs/file-roller/devel/file-roller.spec|/home/mclasen/newcvs/file-roller/devel/file-roller-2.20.2.tar.bz2


Note You need to log in before you can comment on or make changes to this bug.